c-------------------------------------------------------------------------------
c
c     PROGRAMA PRINCIPAL
c
c     Fase 1: Se ignoran las limitaciones del dimensionamiento en FORTRAN
c
c     (Nota: este programa no puede funcionar tal y como esta programado)
c                   
c-------------------------------------------------------------------------------

      implicit real*8 (a-h,o-z)

      dimension a(nfa,nca),b(nfb,ncb),c(nfc,ncc)



c.....Leemos la matriz A
      open(unit=1,status='old',file='ma.dat',carriagecontrol='list')
      read(1,100) nfa,nca
  100 format(/,2i5)

      call LeeMatriz(1,nfa,nca,a)
      close(unit=1,status='keep')

c.....Leemos la matriz B
      open(unit=1,status='old',file='mb.dat',carriagecontrol='list')
      read(1,100) nfb,ncb

      call LeeMatriz(1,nfb,ncb,b)
      close(unit=1,status='keep')

c.....Calculamos la matriz producto C = A * B
      nfc=nfa
      ncc=ncb

      call MultiplicaMatrices(nfa,nca,a,
     .                        nfb,ncb,b,
     .                        nfc,ncc,c)

c.....Escribimos el resultado
      open(unit=2,status='new',file='mc.dat',carriagecontrol='list')
      write(2,200) nfc,ncc
  200 format('Matriz Producto: C = A * B',/,2i5)
      call EscribeMatriz(2,nfc,ncc,c)
      close(unit=2,status='keep')

c.....Fin de programa
      stop
      end
